'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');
var utilsCommons = require('@highlight-ui/utils-commons');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$1 = "@import url(\"https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@400;700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap\");\n.Tile-module__33R9C1Io__v1-1-2 {\n  background-color: #f4f7f9;\n  color: #555;\n  display: block;\n  padding: 16px;\n  /* This is needed to overwrite user agent forced margins for typography */\n  /* stylelint-disable scss/selector-no-redundant-nesting-selector */\n  text-decoration: none;\n  transition: all 0.3s ease;\n}\n.Tile-module__33R9C1Io__v1-1-2 > * {\n  margin-block-end: 0;\n  margin-block-start: 0;\n}\n\n/* This is needed to overwrite user agent forced margins for typography*/\n.Tile-module__33R9C1Io__v1-1-2 > * {\n  margin-block-end: 0;\n  margin-block-start: 0;\n}\n\n.Tile-module__fDnnD-Zw__v1-1-2:hover {\n  background-color: #dbe5ec;\n  cursor: pointer;\n}";
var styles$1 = {"tile":"Tile-module__33R9C1Io__v1-1-2","clickable":"Tile-module__fDnnD-Zw__v1-1-2"};
styleInject(css_248z$1);

var Tile = React__default['default'].forwardRef(function (_a, ref) {
    var className = _a.className, children = _a.children, metadata = _a.metadata;
    return (React__default['default'].createElement("div", __assign({}, utilsCommons.parseMetadata(metadata), { className: classnames__default['default'](styles$1.tile, className), ref: ref }), children));
});

var css_248z = "@import url(\"https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@400;700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@400;700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap\");\n.LinkTile-module__KBiMhm0A__v1-1-2 {\n  background-color: #f4f7f9;\n  color: #555;\n  display: block;\n  padding: 16px;\n  /* This is needed to overwrite user agent forced margins for typography */\n  /* stylelint-disable scss/selector-no-redundant-nesting-selector */\n  text-decoration: none;\n  transition: all 0.3s ease;\n}\n.LinkTile-module__KBiMhm0A__v1-1-2 > * {\n  margin-block-end: 0;\n  margin-block-start: 0;\n}\n\n/* This is needed to overwrite user agent forced margins for typography*/\n.LinkTile-module__KBiMhm0A__v1-1-2 > * {\n  margin-block-end: 0;\n  margin-block-start: 0;\n}\n\n.LinkTile-module__fjiVRqTr__v1-1-2:hover {\n  background-color: #dbe5ec;\n  cursor: pointer;\n}\n\n.LinkTile-module__1KAkoNyv__v1-1-2 {\n  background-color: #f4f7f9;\n  color: #555;\n  display: block;\n  padding: 16px;\n  /* This is needed to overwrite user agent forced margins for typography */\n  /* stylelint-disable scss/selector-no-redundant-nesting-selector */\n  cursor: pointer;\n  text-decoration: none;\n  transition: all 0.3s ease;\n}\n.LinkTile-module__1KAkoNyv__v1-1-2 > * {\n  margin-block-end: 0;\n  margin-block-start: 0;\n}\n.LinkTile-module__1KAkoNyv__v1-1-2:hover {\n  background-color: #dbe5ec;\n}";
var styles = {"tile":"LinkTile-module__KBiMhm0A__v1-1-2","clickable":"LinkTile-module__fjiVRqTr__v1-1-2","linkTile":"LinkTile-module__1KAkoNyv__v1-1-2"};
styleInject(css_248z);

var LinkTile = React__default['default'].forwardRef(function (_a, ref) {
    var className = _a.className, children = _a.children, href = _a.href, metadata = _a.metadata, target = _a.target, rest = __rest(_a, ["className", "children", "href", "metadata", "target"]);
    return (React__default['default'].createElement("a", __assign({}, rest, utilsCommons.parseMetadata(metadata), { href: href, target: target, className: classnames__default['default'](styles.linkTile, className), ref: ref }), children));
});

exports.LinkTile = LinkTile;
exports.Tile = Tile;
//# sourceMappingURL=index.js.map
